# SolrDocument::getFieldCount

(PECL solr >= 0.9.2)

SolrDocument::getFieldCount — Returns the number of fields in this document

### Description

public SolrDocument::getFieldCount ( void ) : int

Returns the number of fields in this document. Multi-value fields are only counted once.

### Parameters

This function has no parameters.

### Return Values

Returns an integer on success and `FALSE` on failure.